<?php

namespace App\Http\Controllers;

use App\Models\Categories;
use App\Models\ContactMessage;
use App\Models\Contactus;
use App\Models\Newsletter;
use App\Models\Orders;
use App\Models\OrderUserDetail;
use App\Models\Products;
use App\Models\Services;
use App\Models\Setting;
use App\Models\Subscription;
use App\Models\User;
use Auth;
use Hash;
use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;
use Validator;

class AdminHomeController extends Controller
{
    public function Dashboard()
    {
        $scholarship=DB::table('scholarship')
        ->count();

        $ap_sch=DB::table('scholarship')
        ->where('user_id',Auth::user()->id)
        ->where('status',1)
        ->count();

        $to_sch=DB::table('scholarship')
        ->where('user_id',Auth::user()->id)
        ->count();

        $users=DB::table('users')
        ->count();

        $users_an=DB::table('users')
        ->where('admin_type','user')
        ->count();
        
        return view('admin.index',compact('scholarship','users_an','users','to_sch','ap_sch'));
    }

    public function AdminProfile()
    {
        $admin = User::findOrFail(Auth::user()->id);
        return view("admin.profile", compact("admin"));
    }

    public function updateprofile(Request $request)
    {
        $GetData = User::findOrFail(Auth::user()->id);
        if (isset($request->name)) {
            $GetData->name = $request->name;
        }

        if (isset($request->phone)) {
            $GetData->phone = $request->phone;
        }

        if (isset($request->address)) {
            $GetData->address = $request->address;
        }

        if (isset($request->email)) {
            $GetData->email = $request->email;
        }
        if (isset($request->password)) {

            $validator = Validator::make($request->all(), [
                'password' => 'required|string|min:8'
            ]);

            if ($validator->fails()) {
                return back()->with('error', 'Please Enter Valid Password !');
            }
            $GetData->password = Hash::make($request->password);
        }

        if ($request->hasFile('profile')) {
            $validator = Validator::make($request->all(), [
                'profile' => 'required|image|mimes:jpg,png,jpeg,gif,svg'
            ]);

            if ($validator->fails()) {
                return back()->with('error', 'Invalid Profile Picture');
            }

            if (\File::exists(public_path('admin/assets/uploads/' . $GetData->image))) {

                \File::delete(public_path('admin/assets/uploads/' . $GetData->image));
            }

            $image = $request->file('profile');
            $image_new = time() . $image->getClientOriginalName();
            $image->move('admin/assets/uploads/', $image_new);
            $GetData->image = $image_new;
        }

        $GetData->save();
        return back()->with('success', 'Profile Updated Successfully !');
    }

    public function newsletterlist(Request $request)
    {
        $newletters = Newsletter::orderBy('id', 'desc')->get();
        return view('admin.newsletterlist', compact('newletters'));
    }

    public function delete_newsletter($id)
    {
        $getData = Newsletter::findOrFail(decrypt($id));
        $getData->delete();
        return back()->with('success', 'Data Deleted Successfully !');
    }

}
