<?php

namespace App\Http\Controllers;

use Auth;

use Carbon\Carbon;
use App\Providers\RouteServiceProvider;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use Hash;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Validator;
use Session;

class LoginController extends Controller
{
    public function adminLogin(Request $request)
    {
        if ($request->isMethod('post')) {
            if (auth()->attempt(['email' => $request->email, 'password' => $request->password, 'type' => 'admin'])) {
                if (Auth::check() && Auth::user()->type == "admin") {
                    return redirect(RouteServiceProvider::ADMIN);
                }
            } else {
                return redirect()->back()->with('error', 'Invalid Email or Password !');
            }
        } else {

            if (Auth::check() && Auth::user()->admin_type == "user") {
                Auth::logout();
                return redirect()->route("admin.login");
            } elseif (Auth::check() && Auth::user()->type == "admin") {
                return redirect(RouteServiceProvider::ADMIN);
            } else {
                return view('admin.login');
            }
        }
    }

    public function login_site(Request $request)
    {
        if ($request->isMethod('post')) {
            if (auth()->attempt(['email' => $request->email, 'password' => $request->password, 'admin_type' => 'user'])) {
                if (Auth::check() && Auth::user()->admin_type == "user") {

                   return redirect(RouteServiceProvider::User);
                }
            } else {
                return redirect()->back()->with('error', 'Invalid Email or Password !');
            }
        } else {

            if (Auth::check() && Auth::user()->type == "user") {
                return redirect(RouteServiceProvider::ADMIN);
            } else {
                return view('admin.login');
            }
        }
    }
    // public function endnoti()
    // {
    // Session::put('endnoti', '0');

    //     return redirect()->route("admin.wesite");
    // }

    public function register()
    {
        return view('admin.register');
    }

    public function login_sign()
    {
        return view("website.login_sign");
    }

    public function register_post(Request $request)
    {
        $ema=DB::table('users')->where('email',$request->email)->count();

        if ($ema>0) {
            return redirect()->back()->with('error', 'Email already exit please try another!!!');
        }

        $u_type='provider';
        $type='Admin';

        if ($request->u_type==1) {
            $u_type='user';
            $type='user';
        }



        DB::table('users')->insert(
       array(
            'name'     =>   $request->name,
            'email'   =>   $request->email,
            'password'   =>   bcrypt($request->password),
            'phone'   =>   $request->phone,
            'address'   =>   $request->address,
            'status'   =>   'active',
            'type'   =>   $type,
            'last_degree'   =>  $request->last_degree,
            'cgpa'   =>   $request->cgpa,
            'institute'   =>   $request->institute,
            'admin_type'   =>   $u_type,
            'created_at'   =>   date('y-m-d'),
     )
);

    return redirect()->back()->with('success', 'Register successfully!');

    }

    public function logout(Request $request)
    {

        Auth::logout();
        


        if ($request->ltype==1) {
        return redirect()->route("admin.login_sign");
        }else{
        return redirect()->route("admin.login");
        }
    }
}
