@extends('admin.layout.master')

@section('title')
    Edit Scholarship
@endsection

@section('content')

    <div class="page-content">

        <nav class="page-breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{ route('admin./') }}">Home</a></li>
                <li class="breadcrumb-item active" aria-current="page">Edit Scholarship</li>
            </ol>
        </nav>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <h6 class="card-title">Edit Scholarship</h6>
                        <form method="POST" action="{{ route('admin.edit_scholarship') }}" enctype="multipart/form-data">
                            @csrf
                            <div class="row">
                                <div class="col-md-3">
                                    <label>Scholarship Name</label>
                                    <input type="text" class="form-control mb-3 MyInput" autocomplete="off"
                                           placeholder="Scholarship Name" value="{{ $scholarship->scholarship_name }}"  name="name" required>

                                           <input type="hidden" value="{{ $scholarship->id }}" name="id">
                                </div>

                                <div class="col-md-3">
                                    <label>Institue Name</label>
                                    <input type="text" class="form-control mb-3 MyInput" autocomplete="off"
                                           placeholder="Institue Name" value="{{ $scholarship->institute_name }}"  name="institute" required>
                                </div>
                                
                                <div class="col-md-3">
                                    <label>Scholarship Country</label>
                                    <input type="text" min="1" class="form-control mb-3 MyInput" autocomplete="off"
                                           placeholder="Country" name="country" value="{{ $scholarship->country }}" required>
                                </div>
                                <div class="col-md-3">
                                    <label>Scholarship type</label>
                                    <select class="form-control MyInput" name="s_type" required>
                                        <option value="" disabled selected>Select Category</option>

                                        <option <?php if($scholarship->s_type=='Fully Funded'){ echo 'selected'; } ?> value="Fully Funded">Fully Funded</option>
                                        <option <?php if($scholarship->s_type=='Particularly Funded'){ echo 'selected'; } ?> value="Particularly Funded">Particularly Funded</option>
                                       
                                    </select>
                                </div>
                                <div class="col-md-4">
                                    <label>Scholarship Amount</label>
                                    <input type="number" value="{{ $scholarship->amount }}" class="form-control mb-3 MyInput" autocomplete="off"
                                           name="amount" required>
                                </div>

                                <div class="col-md-4">
                                    <label>Required CGPA/Marks</label>
                                    <input type="number" value="{{ $scholarship->cgpa }}" step="0.01" class="form-control mb-3 MyInput" autocomplete="off"
                                           name="cgpa" required>
                                </div>
                                
                                <div class="col-md-4">
                                    <label>Scholarship start Date</label>
                                    <input type="date" value="{{ $scholarship->start_date }}" class="form-control mb-3 MyInput" autocomplete="off"
                                            name="start_date" >
                                </div>
                                <div class="col-md-4">
                                    <label>Scholarship End Date</label>
                                    <input type="date" value="{{ $scholarship->end_date }}" class="form-control mb-3 MyInput" autocomplete="off" name="end_date" >
                                </div>
                                <div class="col-md-12">
                                    <label>Description</label>
                                    <textarea class="form-control mb-3" autocomplete="off" rows="5"
                                              placeholder="Description" name="description">{{ $scholarship->description }}</textarea>
                                </div>
                            </div>


                            <div class="row">

                                <div class="col-md-4 mx-auto mt-3" style="text-align:center">

                                    <button type="submit" class="btn btn-outline-success"
                                            name="UpdateSystemInformation">Submit
                                    </button>

                                </div>

                            </div>

                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection
@section('script')
    <!-- Place the first <script> tag in your HTML's <head> -->
    <script
            src="https://cdn.tiny.cloud/1/slqzq9p4jfyu3f1nzvbomd2qq198chen520bsjv05lggwszl/tinymce/6/tinymce.min.js"
            referrerpolicy="origin"></script>

    <!-- Place the following <script> and <textarea> tags your HTML's <body> -->
    <script>
        var useDarkMode = window.matchMedia('(prefers-color-scheme: dark)').matches;

        tinymce.init({
            selector: 'textarea#description',
            plugins: 'print preview paste importcss searchreplace autolink autosave save directionality code visualblocks visualchars fullscreen image link media template codesample table charmap hr pagebreak nonbreaking anchor toc insertdatetime advlist lists wordcount imagetools textpattern noneditable help charmap quickbars emoticons',
            imagetools_cors_hosts: ['picsum.photos'],
            menubar: 'file edit view insert format tools table help',
            toolbar: 'undo redo | bold italic underline strikethrough | fontselect fontsizeselect formatselect | alignleft aligncenter alignright alignjustify | outdent indent |  numlist bullist | forecolor backcolor removeformat | pagebreak | charmap emoticons | fullscreen  preview save print | insertfile image media template link anchor codesample | ltr rtl',
            toolbar_sticky: true,
            autosave_ask_before_unload: true,
            autosave_interval: '30s',
            autosave_prefix: '{path}{query}-{id}-',
            autosave_restore_when_empty: false,
            autosave_retention: '2m',
            image_advtab: true,
            link_list: [
                {title: 'My page 1', value: 'https://www.tiny.cloud'},
                {title: 'My page 2', value: 'http://www.moxiecode.com'}
            ],
            image_list: [
                {title: 'My page 1', value: 'https://www.tiny.cloud'},
                {title: 'My page 2', value: 'http://www.moxiecode.com'}
            ],
            image_class_list: [
                {title: 'None', value: ''},
                {title: 'Some class', value: 'class-name'}
            ],
            importcss_append: true,
            file_picker_callback: function (callback, value, meta) {
                /* Provide file and text for the link dialog */
                if (meta.filetype === 'file') {
                    callback('https://www.google.com/logos/google.jpg', {text: 'My text'});
                }

                /* Provide image and alt text for the image dialog */
                if (meta.filetype === 'image') {
                    callback('https://www.google.com/logos/google.jpg', {alt: 'My alt text'});
                }

                /* Provide alternative source and posted for the media dialog */
                if (meta.filetype === 'media') {
                    callback('movie.mp4', {
                        source2: 'alt.ogg',
                        poster: 'https://www.google.com/logos/google.jpg'
                    });
                }
            },
            templates: [
                {
                    title: 'New Table',
                    description: 'creates a new table',
                    content: '<div class="mceTmpl"><table width="98%%"  border="0" cellspacing="0" cellpadding="0"><tr><th scope="col"> </th><th scope="col"> </th></tr><tr><td> </td><td> </td></tr></table></div>'
                },
                {
                    title: 'Starting my story',
                    description: 'A cure for writers block',
                    content: 'Once upon a time...'
                },
                {
                    title: 'New list with dates',
                    description: 'New List with dates',
                    content: '<div class="mceTmpl"><span class="cdate">cdate</span><br /><span class="mdate">mdate</span><h2>My List</h2><ul><li></li><li></li></ul></div>'
                }
            ],
            template_cdate_format: '[Date Created (CDATE): %m/%d/%Y : %H:%M:%S]',
            template_mdate_format: '[Date Modified (MDATE): %m/%d/%Y : %H:%M:%S]',
            height: 600,
            image_caption: true,
            quickbars_selection_toolbar: 'bold italic | quicklink h2 h3 blockquote quickimage quicktable',
            noneditable_noneditable_class: 'mceNonEditable',
            toolbar_mode: 'sliding',
            // contextmenu: 'link image imagetools table',
            // skin: useDarkMode ? 'oxide-dark' : 'oxide',
            // content_css: useDarkMode ? 'dark' : 'default',
            content_style: 'body { font-family:Helvetica,Arial,sans-serif; font-size:14px }'
        });
    </script>
@endsection


