@extends('admin.layout.master')

@section('title')
    Dashboard
@endsection

@section('content')

    <link rel="stylesheet" href="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.css') }}">

    <div class="page-content">

        <div class="d-flex justify-content-between align-items-center flex-wrap grid-margin">
            <div>
                <h4 class="mb-3 mb-md-0">Welcome to scholarseek</h4>
            </div>
        </div>

        @if(Auth::user()->admin_type == "provider")

        <div class="row">
            
            <div class="col-md-4 mb-4">
                <a href="{{ route('admin.scholarship') }}" style="color:black">
                    <div class="card shadow" style="background-color: #f0f5cf;">
                        <div class="card-body">
                            <h4 class="p-4">Total Scholarships ({{ $to_sch }})</h4>
                        </div>
                    </div>
                </a>
            </div>
            <div class="col-md-4 mb-4">
                <a href="{{ route('admin.scholarship') }}" style="color:black">
                    <div class="card shadow" style="background-color: #cfecf5;">
                        <div class="card-body">
                            <h4 class="p-4">Approved Scholarship ({{ $ap_sch }})</h4>
                        </div>
                    </div>
                </a>
            </div>
            
            
        </div>

        @else

        <div class="row">
            
            <div class="col-md-4 mb-4">
                <a href="{{ route('admin.viewscholarship') }}" style="color:black">
                    <div class="card shadow" style="background-color: #f0f5cf;">
                        <div class="card-body">
                            <h4 class="p-4">Current Live scholarships ({{$scholarship}})</h4>
                        </div>
                    </div>
                </a>
            </div>
            <div class="col-md-4 mb-4">
                <a href="{{ route('admin.portal_users') }}" style="color:black">
                    <div class="card shadow" style="background-color: #cfecf5;">
                        <div class="card-body">
                            <h4 class="p-4">Register Users on portal ({{$users}})</h4>
                        </div>
                    </div>
                </a>
            </div>
            <div class="col-md-4 mb-4">
                <a href="{{ route('admin.online_users') }}" style="color:black">
                    <div class="card shadow" style="background-color: #f2cff5;">
                        <div class="card-body">
                            <h4 class="p-4">Online user Analysis ({{ $users_an }})</h4>
                        </div>
                    </div>
                </a>
            </div>
            
        </div>

        @endif

    </div>
@endsection
@section('script')

    <script src="{{ URL::asset('admin/assets/vendors/datatables.net/jquery.dataTables.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/js/data-table.js') }}"></script>

@endsection
