@extends('admin.layout.master')

@section('title')
    Scholarship
@endsection
<link rel="stylesheet" href="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.css') }}">


@section('content')

    <div class="page-content">

        <nav class="page-breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{ route('admin./') }}">Home</a></li>
                <li class="breadcrumb-item active" aria-current="page">Scholarship</li>
            </ol>
        </nav>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-5">
                            <div class="col-md-10"><h6 class="card-title">Scholarship</h6></div>
                           <!--  <div class="col-md-2">
                                <a href="{{ route('admin.add_scholarship') }}" class="btn btn-outline-dark w-100">Add
                                    Scholarship</a>
                            </div> -->
                        </div>

                        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-5">
                            <div class="col-md-12"><h6 class="card-title">Scholarships</h6></div>
                        </div>
                        <div class="table-responsive">
                            <table id="dataTableExample" class="table">
                                <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Provider Name</th>
                                    <th>Provider Email</th>
                                    <th>Scholarship Name</th>
                                    <th>Intitute name</th>
                                    <th>Country</th>
                                    <th>Type</th>
                                    <th>Amount</th>
                                    <th>CGPA/Marks</th>
                                    <th>Start Date</th>
                                    <th>End Date</th>
                                    <th>change Status</th>
                                    <th>Status</th>
                                    <th>Action</th>
                                </tr>
                                </thead>
                                <tbody>
                                    <?php $count=1; ?>
                                    @foreach($scholarship as $sc)
                                <tr>
                                    <td>{{ $count++ }}</td>
                                    <td>{{ $sc->name }}</td>
                                    <td>{{ $sc->email }}</td>
                                    <td>{{ $sc->scholarship_name }}</td>
                                    <td>{{ $sc->institute_name }}</td>
                                    <td>{{ $sc->country }}</td>
                                    <td>{{ $sc->s_type }}</td>
                                    <td>{{ $sc->amount }}</td>
                                    <td>{{ $sc->cgpa }}</td>
                                    <td>{{ $sc->start_date }}</td>
                                    <td>{{ $sc->end_date }}</td>
                                    <td><?php if($sc->status==0){ ?> <a href="{{ route('admin.change_status',[$sc->id,1]) }}"><button class="btn btn-primary">Approve</button></a> <?php }else { ?>  <a href="{{ route('admin.change_status',[$sc->id,0]) }}"><button class="btn btn-danger">Dismiss</button></a><?php } ?></td>


                                    <td><?php if($sc->status==0){ ?> <label style="color:red;">Pending</label> <?php }else { ?>  <label style="color:green;">Approved</label><?php } ?></td>
                                    <td>
                                    <a data-toggle="tooltip" data-placement="top" title="View/Edit" href="{{ route('admin.edit_scholarship_single',$sc->id) }}" class="btn btn-outline-info btn-icon">
                                                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-edit"><path d="M11 4H4a2 2 0 0 0-2 2v14a2 2 0 0 0 2 2h14a2 2 0 0 0 2-2v-7"></path><path d="M18.5 2.5a2.121 2.121 0 0 1 3 3L12 15l-4 1 1-4 9.5-9.5z"></path></svg>
                                            </a>

                                            <a data-toggle="tooltip" data-placement="top" title="Delete Scholarship" href="{{ route('admin.delete_scholarship',$sc->id) }}" onclick="return(confirm('Are you sure to delete this record permanently ?'))" href="#" class="btn btn-outline-danger btn-icon" >
                                                <svg  xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-trash"><polyline points="3 6 5 6 21 6"></polyline><path d="M19 6v14a2 2 0 0 1-2 2H7a2 2 0 0 1-2-2V6m3 0V4a2 2 0 0 1 2-2h4a2 2 0 0 1 2 2v2"></path></svg>
                                            </a>

                                            

                                    </td>
                                    
                                </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>

                    </div>
                </div>
            </div>
        </div>


                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection

@section('script')

    <script src="{{ URL::asset('admin/assets/vendors/datatables.net/jquery.dataTables.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/js/data-table.js') }}"></script>

@endsection