<?php

use Illuminate\Support\Facades\Route;


Route::name('admin.')->prefix('admin')->group(function () {

    Route::get('/clear', function () {

        Artisan::call('cache:clear');
        Artisan::call('config:clear');
        Artisan::call('config:cache');
        Artisan::call('view:clear');
        Artisan::call('route:clear');

        return "Cleared!";

    });

//    without login


    Route::post('/submit_query', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'submit_query'])->name('submit_query');


    Route::get('/endnoti', [App\Http\Controllers\LoginController::class, 'endnoti'])->name('endnoti');

    Route::get('/apply_scholarship/{id}/{id2}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'apply_scholarship'])->name('apply_scholarship');



    Route::get('/login_sign', [App\Http\Controllers\LoginController::class, 'login_sign'])->name('login_sign');


    Route::post('/login_site', [App\Http\Controllers\LoginController::class, 'login_site'])->name('login_site');



    Route::match(['get', 'post'], '/login', [App\Http\Controllers\LoginController::class, 'adminLogin'])->name('login');

    Route::get('/register', [App\Http\Controllers\LoginController::class, 'register'])->name('register');

    Route::post('/register', [App\Http\Controllers\LoginController::class, 'register_post'])->name('register');

    Route::get('/website', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'website'])->name('website');

    Route::get('/contactus', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'contactus'])->name('contactus');

    Route::get('/testimonial', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'testimonial'])->name('testimonial');

    Route::get('/aboutus', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'aboutus'])->name('aboutus');







    Route::middleware(['admin-auth', 'user-access:admin'])->group(function () {

//    After Login
        Route::get('/', [App\Http\Controllers\AdminHomeController::class, 'Dashboard'])->name('/');
        Route::get('/dashboard', [App\Http\Controllers\AdminHomeController::class, 'Dashboard'])->name('dashboard');
        Route::get('/home', [App\Http\Controllers\AdminHomeController::class, 'Dashboard'])->name('home');
        Route::post('/logout', [App\Http\Controllers\LoginController::class, 'logout'])->name('logout');

        // Admin Profile
        Route::get('/AdminProfile', [App\Http\Controllers\AdminHomeController::class, 'AdminProfile'])->name('AdminProfile');
        Route::post('/updateprofile', [App\Http\Controllers\AdminHomeController::class, 'updateprofile'])->name('updateprofile');

        // Application Setting
        Route::get('/setting', [App\Http\Controllers\SettingController::class, 'setting'])->name('setting');
        Route::post('/updatesetting', [App\Http\Controllers\SettingController::class, 'updatesetting'])->name('updatesetting');

        // Categories
        Route::get('/Categories', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'categories'])->name('categories');
        Route::post('/savecategories', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'savecategories'])->name('savecategories');
        Route::post('/updatecategory', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'updatecategory'])->name('updatecategory');
        Route::get('/deletecategory/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'deletecategory'])->name('deletecategory');

        // products
        Route::get('/Products+List', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'products'])->name('products');




        Route::get('/portal_users', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'portal_users'])->name('portal_users');

        Route::get('/online_users', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'online_users'])->name('online_users');

        Route::get('/applicants', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'applicants'])->name('applicants');

        Route::get('/viewscholarship', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'viewscholarship'])->name('viewscholarship');

        Route::get('/scholarship', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'scholarship'])->name('scholarship');

        Route::get('/add_scholarship', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'add_scholarship'])->name('add_scholarship');

        Route::get('/edit_scholarship_single/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'edit_scholarship'])->name('edit_scholarship_single');

        Route::get('/change_status/{id}/{val}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'change_status'])->name('change_status');

        Route::post('/edit_scholarship', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'edit_scholarship_post'])->name('edit_scholarship');

        Route::get('/delete_scholarship/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'delete_scholarship'])->name('delete_scholarship');

        Route::post('/add_scholarship', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'add_scholarship_post'])->name('add_scholarship_post');



        Route::get('/Add+Products', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'add_products'])->name('add_products');
        Route::post('/save_products', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'save_products'])->name('save_products');
        Route::post('/update_products', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'update_products'])->name('update_products');
        Route::get('/delete_product/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'delete_product'])->name('delete_product');
        Route::get('/Edit+product/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'edit_product'])->name('edit_product');
        Route::get('/Edit+product+Images/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'edit_product_images'])->name('edit_product_images');
        Route::post('/save_product_image', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'save_product_image'])->name('save_product_image');
        Route::get('/delete_product_image/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'delete_product_image'])->name('delete_product_image');

         // food
         Route::get('/food+List', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'food'])->name('food');

        // orders
        Route::get('/Orders+List', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'orders'])->name('orders');
        Route::get('/mark_as_complete/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'mark_as_complete'])->name('mark_as_complete');
        Route::get('/Order+Detail/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'order_detail'])->name('order_detail');

        // contact_messages
        Route::get('/Contact+Messages', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'contact_messages'])->name('contact_messages');
        Route::get('/delete_contact_message/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'delete_contact_message'])->name('delete_contact_message');


    });
});


?>
